Subject: modify determination (Re: protocol-27 comments)

From: "Jim Sermersheim" <[email-masked]>
Date: Sun, 07 Nov 2004 13:37:31 -0700

True. I now propose:
"Whether the modification is applied or not cannot be determined by the
client if the Modify Response is not received (e.g. the LDAP exchange is
terminated or the Modify Operation is abandoned)."

>>> "Kurt D. Zeilenga" <[email-masked]> 10/29/04 6:02:21 PM >>>
The server is presumed to know whether it applied the update
or not (irregardless of whether it sent an response or not).
The text was intended to warn the client developer that
in absence of an update response, the client cannot assume
that the update was applied and cannot assume the update was
not applied.

At 08:13 AM 10/29/2004, Jim Sermersheim wrote:
>>>> Hallvard B Furuseth < [email-masked] > 10/29/04 6:40:42
AM >>>
>>Jim Sermersheim writes:
><snip>
>>> How about: "Whether the modification was applied or not is
indeterminate..."?
>>> 
>>>>Also, I think s/received/sent/. This sentence is about what the
server
>>>>does, not about what the client knows.
>>> 
>>> Well, who is making the determination? The client. And the client
receives
>>> the response.
>>
>>Or rather it doesn't in this case. But that's implicit from the fact
>>that it receives no response.
>>
>>My point is, we need something which says that the _server_ may
either
>>perform the modification or not.
>I don't think it really matters, but I can change it to:
>"Whether the modification is applied or not is indeterminate if the
Modify Response is not sent or received (e.g. the LDA exchange is
terminated or the Modify Operation is abandoned)."
> 
>Note that the server may have sent the response, but it was never
received due to a communincations problem, so it's still indeterminate
from the client's point of view.
> 
>Of course this is true of any update operation, and maybe it belongs
somewhere else.
>Jim